See the top rated post in this thread. Click here

Results 1 to 5 of 5

Thread: Code help to allow to pick multiple items

  1. #1
    I could stop if I wanted to cadd4la's Avatar
    Join Date
    2001-12
    Location
    Newport Beach, CA
    Posts
    399
    Login to Give a bone
    0

    Question Code help to allow to pick multiple items

    Hi everyone,

    I am in need of so help, to allow me to pick multiple items and them move.

    Code:
    (DEFUN C:M1()
    (SETVAR "CMDECHO" 0)
    (COMMAND "MOVE" PAUSE PAUSE "" "ENDPOINT" 
    PAUSE "ENDPOINT")
    (SETVAR "CMDECHO" 1)
    (princ)
    )
    Thanks,

    Kyle C.

  2. #2
    Administrator rkmcswain's Avatar
    Join Date
    2004-09
    Location
    Earth
    Posts
    9,805
    Login to Give a bone
    0

    Default Re: Code help to allow to pick multiple items

    Try this out.

    Code:
    
    (DEFUN C:M1 ( / sset)
      (SETVAR "CMDECHO" 0)
      (setq sset (ssget))
      (COMMAND "._MOVE" sset "" "ENDPOINT" PAUSE "ENDPOINT")
      (SETVAR "CMDECHO" 1)
      (princ)
    )
    
    
    
    
    R.K. McSwain | CAD Panacea |

  3. #3
    I could stop if I wanted to
    Join Date
    2006-04
    Posts
    466
    Login to Give a bone
    1

    Default Re: Code help to allow to pick multiple items

    Code:
    (DEFUN C:M1()
    (SETVAR "CMDECHO" 0)
    (COMMAND "MOVE" (SSGET) "" "ENDPOINT")
    (SETVAR "CMDECHO" 1)
    (princ)
    )

  4. #4
    I could stop if I wanted to cadd4la's Avatar
    Join Date
    2001-12
    Location
    Newport Beach, CA
    Posts
    399
    Login to Give a bone
    0

    Thumbs up Re: Code help to allow to pick multiple items

    Thank you to both rkmcswain & aaronic_abacus for the help.

    Thats what I needed.

    Kyle C

  5. #5
    Certifiable AUGI Addict
    Join Date
    2015-11
    Location
    Jo'burg SA
    Posts
    4,512
    Login to Give a bone
    0

    Default Re: Code help to allow to pick multiple items

    Or you could simply create a new command in the CUI customization, see attached. Then you could make shortcut / toolbar button.
    Attached Images Attached Images

Similar Threads

  1. 2013: Detail Component - User Defined Dimensions - Multiple Pick Points
    By pnorman in forum Revit Structure - General
    Replies: 3
    Last Post: 2013-12-10, 01:51 AM
  2. Why can't I pick Items?
    By WBT-2011 in forum AutoCAD General
    Replies: 13
    Last Post: 2008-10-03, 11:51 AM
  3. Multiple Pick Points for DIST Command
    By autocad.wishlist1734 in forum AutoCAD Wish List
    Replies: 1
    Last Post: 2007-10-03, 12:46 PM
  4. Scale multiple items
    By autocad.wishlist1734 in forum AutoCAD Wish List
    Replies: 1
    Last Post: 2006-04-04, 04:29 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •